0 Replies Latest reply on Jul 18, 2014 7:15 AM by dgjamorris

    to update 'e adept' error

    dgjamorris

      I'm being denied to down load 'e-books' to my Nook because the 'e adept request' has expired. How to correct the error?